RegisteredApiUserPermission

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.system
Class RegisteredApiUserPermission

    java.lang.Object
      java.security.Permission
          java.security.BasicPermission
              org.ocap.system.RegisteredApiUserPermission

All Implemented Interfaces:
  Serializable, Guard

    public final class RegisteredApiUserPermission

extends BasicPermission

The RegisteredApiUserPermission class represents permission for an application to use a specific registered API. When granted one of these permissions is created for each registered API the application is given access to based on a "registeredapi.user" entry in the application's PRF and where the name matches an ocap_j_registered_api_descriptor.

See Also:
  Serialized Form

Constructor Summary
`RegisteredApiUserPermission(String name)` Creates a new RegisteredApiUserPermission with the specified name.
`RegisteredApiUserPermission(String name, String actions)` Creates a new RegisteredApiUserPermission with the specified name.

Method Summary

Methods inherited from class java.security.BasicPermission
`equals, getActions, hashCode, implies, newPermissionCollection`

Methods inherited from class java.security.Permission
`checkGuard, getName, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RegisteredApiUserPermission

    public RegisteredApiUserPermission(String name)

  Creates a new RegisteredApiUserPermission with the specified name.

  Parameters:
    `name` - The name of the registered API.

### RegisteredApiUserPermission

    public RegisteredApiUserPermission(String name,
                                       String actions)

  Creates a new RegisteredApiUserPermission with the specified name.

  Parameters:
    `name` - The name of the registered API.
    `actions` - This parameter is ignored.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD